Name:           perl-IO-Socket-IP
Version:        0.39
Release:        420
Summary:        Drop-in replacement for IO::Socket::INET supporting both IPv4 and IPv6
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IO-Socket-IP
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/IO-Socket-IP-%{version}.tar.gz
BuildArch:      noarch

#For Build
BuildRequires:  coreutils findutils make perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
# For Runtime
BuildRequires:  perl(base) perl(Carp) perl(constant) perl(Errno) perl(IO::Socket) perl(POSIX) perl(Socket) >= 1.97 perl(strict) perl(warnings)
# For Test
BuildRequires:  perl(IO::Socket::INET) perl(Test::More) perl(Test::Pod) >= 1.00

Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
This module provides a protocol-independent way to use IPv4 and IPv6
sockets, intended as a replacement for the IO::Socket::INET manpage. Most
constructor arguments and methods are provided in a backward-compatible
way.

%package_help

%prep
%autosetup -n IO-Socket-IP-%{version} -p1

chmod -x lib/IO/Socket/IP.pm

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*


%check
rm -f t/21nonblocking-connect-internet.t
make test TEST_VERBOSE=1

%files
%license LICENSE
%doc Changes examples
%{perl_vendorlib}/*

%files help
%doc README
%{_mandir}/man3/*


%changelog
* Sat Oct 26 2019 shenyangyang <shenyangyang4@huawei.com> - 0.39-420
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete unneeded build requires of perl(Socket6)

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.39-419
- Package init
